<?php
/* Mantenimiento de los registros de la tabla MST_ListaPrecioCabecera redefinidos por el usaurio */
class MST_ListaPrecioCabeceraDP extends BaseMST_ListaPrecioCabeceraDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdListaPreciCab ) IS NULL, 1, MAX( IdListaPreciCab ) + 1 ) i_Id  FROM MST_ListaPrecioCabecera ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>